Page MenuHomePhabricator

A7. Most elements are misaligned on flow boards when user lang and site lang don't have the same directionality (LTR vs RTL)
Closed, ResolvedPublic1 Story Points

Description

RTL topic headers have weird alignment on the topic title and "x comments - x days" line.

The two lines aren't aligned with each other, and they're out of whack with the star and dropdown menu.

I checked Chinese & Telugu to see if it's a problem with non-Roman alphabet, but those look fine.

Examples

Hebrew WP: https://he.wikipedia.org/wiki/%D7%A9%D7%99%D7%97%D7%AA_%D7%9E%D7%A9%D7%AA%D7%9E%D7%A9:Amire80

English: https://www.mediawiki.org/wiki/Talk:Flow

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterCorrectly display Flow in RTL interface and content

Event Timeline

DannyH created this task.Apr 10 2015, 4:50 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 4:50 PM

In general, for these bugs you should specify which wiki you're testing on as well (that tells us whether it's related to site language, user language, or both).

DannyH updated the task description. (Show Details)Apr 10 2015, 6:52 PM
DannyH set Security to None.

Sorry, I forgot to add links! I updated the ticket.

DannyH edited a custom field.Apr 22 2015, 6:48 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 22 2015, 7:07 PM
DannyH renamed this task from RTL topic headers have weird alignment to A7. RTL topic headers have weird alignment .Apr 22 2015, 8:04 PM
DannyH moved this task from Current workboard to Untriaged on the Collaboration-Team-Triage board.

So this seems to only happen when we have a mix of RTL/LTR languages in the interface vs. content.

For example,

And the other-way-around also shows the same:

Oh, you're right. Danny had his UI language set to en on Hebrew Wikipedia. I didn't notice that in the screenshot earlier.

That means this is a duplicate of T95762: Most elements are misaligned on flow boards when user lang and site lang don't have the same directionality (LTR vs RTL)

Mattflaschen-WMF renamed this task from A7. RTL topic headers have weird alignment to A7. Topic headers have weird alignment when user lang and site lang don't have the same directionality (LTR vs RTL).Apr 23 2015, 8:36 PM
Mattflaschen-WMF assigned this task to Mooeypoo.
Mattflaschen-WMF added a subscriber: EBernhardson.
Mattflaschen-WMF renamed this task from A7. Topic headers have weird alignment when user lang and site lang don't have the same directionality (LTR vs RTL) to A7. Most elements are misaligned on flow boards when user lang and site lang don't have the same directionality (LTR vs RTL).Apr 23 2015, 8:46 PM

Changed this bug to reflect the scope of the one I dup'ed into it. Underlying causes are probably similar for both.

Change 206321 had a related patch set uploaded (by Mooeypoo):
Correctly display Flow in RTL interface and content

https://gerrit.wikimedia.org/r/206321

Change 206321 merged by jenkins-bot:
Correctly display Flow in RTL interface and content

https://gerrit.wikimedia.org/r/206321

DannyH closed this task as Resolved.Apr 29 2015, 8:16 PM

Works on Beta